ROCQNAVI(1)

NAME
rocqnavi - generate HTML documentation from Coq/Rocq files

SYNOPSIS
rocqnavi [options] file.glob ... file.v ...

DESCRIPTION

  Options are:

-debug Print
    debug messages to stderr

-title <title>
    Set the title of the index.html

-base DEPRECATED:
    use -Q

<coqdir> Set the name space for the modules being processed

-coqlib <url>
    Set URL for Rocq standard library (default: https://rocq-prover.org/stdlib/)

-d <dir>
    Output files to directory <dir> (default: current directory)

-Q <directory>
    <dirpath> Map physical directory to path

-external <url>
    <coqdir> Set base URL for linking references whose names start with <coqdir>

-no-css
    Do not add rocqnavi.css to the output directory

-redirect
    Generate redirection files modname.html -> coqdir.modname.html

-short-names
    Use short, unqualified module names in the output

-structure-graph
    Show the hierarchy graph of <dot-file> on the index.html

-file-graph
    Show the dependency graph of <dot-file> on the index.html

-file-graph-from-depend
    Show the file dependency graph from <depend.d> on the index.html

-index-blacklist
    Exclude specified items from the index

-show-type-information-using-coqtop-process
    Show type information of definitions as a tooltip (consider using -show-type-infomation-using-rocq-lsp)

-show-type-information-using-rocq-lsp
    Show type information of definitions as a tooltip

-doc-source-url
    The Link to the source repository

-help
    Display this list of options

--help
    Display this list of options